CellManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.db.managers
Class CellManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.CellManager

    public class CellManager

extends java.lang.Object

Field Summary
`static java.lang.String` | `HCAF_S`

Constructor Summary
`CellManager()`

Method Summary
`static java.util.Set<Cell>` | `calculateGoodCells(BoundingBox bb, java.util.List<Area> areas, java.lang.String speciesID, int hcafId)`
`static java.util.Set<Cell>` | `getCells(java.util.List<Field> filters, boolean fetchGoodCells, java.lang.String speciesID, boolean fetchEnvironment, int HCAFId)`
`static java.util.Set<Cell>` | `getCellsByIds(boolean fetchGoodCells, java.lang.String speciesID, boolean fetchEnvironment, int HcafId, java.lang.String[] items)`
`static java.lang.String` | `getJSONCells(PagedRequestSettings settings)`
`static java.lang.String` | `getJSONOccurrenceCells(java.lang.String speciesId, PagedRequestSettings settings)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HCAF_S

    public static java.lang.String HCAF_S

Constructor Detail

### CellManager

    public CellManager()

Method Detail

### getCells

    public static java.util.Set<Cell> getCells(java.util.List<Field> filters,
                                               boolean fetchGoodCells,
                                               java.lang.String speciesID,
                                               boolean fetchEnvironment,
                                               int HCAFId)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONCells

    public static java.lang.String getJSONCells(PagedRequestSettings settings)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJSONOccurrenceCells

    public static java.lang.String getJSONOccurrenceCells(java.lang.String speciesId,
                                                          PagedRequestSettings settings)
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCellsByIds

    public static java.util.Set<Cell> getCellsByIds(boolean fetchGoodCells,
                                                    java.lang.String speciesID,
                                                    boolean fetchEnvironment,
                                                    int HcafId,
                                                    java.lang.String[] items)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### calculateGoodCells

    public static java.util.Set<Cell> calculateGoodCells(BoundingBox bb,
                                                         java.util.List<Area> areas,
                                                         java.lang.String speciesID,
                                                         int hcafId)
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD